# SIPC_Conn 中文文档

## 安装

```bash
go get -u git.swzry.com/SatorIPC/golang/sipc_conn
```

## 开始使用

在examples/golang/SIPC_Conn_BasicTest中有一个样例程序。

使用 `go build` 编译样例程序后，使用方法如下：

### 建立服务端

使用 `-s` 参数建立服务端。

```bash
./SIPC_Conn_BasicTest -s
```

此时控制台会打印出随机生成的监听路径，之后连接就使用这个路径连接

以下为Windows下输出的示例：
```
Listen Pipe Name: \\.\Pipe\satoripc-24d51fe8-3082-428f-a2ca-461ef2fb39b0
```

则监听路径为 `\\.\Pipe\satoripc-24d51fe8-3082-428f-a2ca-461ef2fb39b0` 。

以下为Unix下输出的示例：

```
Listen Pipe Name: /var/run/satoripc-b9212b99-8897-4075-bb6b-fe475a751bef.sock
```

则监听路径为 `/var/run/satoripc-b9212b99-8897-4075-bb6b-fe475a751bef.sock` 。

若想指定监听路径，使用 `-p` 参数指定：

```bash
./SIPC_Conn_BasicTest -s -p /var/run/test.sock
```

### 建立客户端

不加 `-s` 参数则建立客户端。使用 `-p` 参数指定连接路径，即刚才服务器监听的路径。

```bash
.\SIPC_Conn_BasicTest -p /var/run/test.sock
```

### 实验

在服务端或客户端通过标准输入向内输入内容，并按 `Enter` 键，则另一端会通过标准输出打印出这些内容。

